Subject: IPv6 site-locals... end of story...

From: Alex Zinin <[email-masked]>
Date: Thu, 20 Mar 2003 12:03:34 -0800

Folks,

Breaking news: I am told that the IPv6 WG with overwhelming
consensus decided to deprecate site-local addresses. Appears
that I left the room just 20 minutes earlier than I should
have ;) More details coming.

-- 
Alex

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: "Tony Li" <[email-masked]>
Date: Thu, 20 Mar 2003 12:49:26 -0800

|    Breaking news: I am told that the IPv6 WG with overwhelming
|    consensus decided to deprecate site-local addresses. Appears
|    that I left the room just 20 minutes earlier than I should
|    have ;) More details coming.

There's not that much more to say.  The chairs ARE going to poll the
WG via the mailing list, but assuming that the statistics aren't too
wildly different, it will be hard to overcome the 5:1 ratio that we
saw today.

In any case, IMHO, routing just got a bit easier today.  ;-)

Tony

---

From: "Tony Li" <[email-masked]>
Date: Fri, 21 Mar 2003 15:01:41 -0800

|    On Thu, Mar 20, 2003 at 12:49:26PM -0800, Tony Li wrote:
|    > There's not that much more to say.  The chairs ARE going 
|    to poll the
|    > WG via the mailing list, but assuming that the 
|    statistics aren't too
|    > wildly different, it will be hard to overcome the 5:1 
|    ratio that we
|    > saw today.
|    
|    I'm aware of the headaches that site locals cause, but...
|    What are we going to do about the equivalent of rfc1918 
|    addresses in ipv6?
|    As much as we also might find this semantically/architectually
|    unclean, NATs aren't going to go away, nor is private 
|    internal addressing.

I fully realize that.  However, I believe that anything that
effectively sanctions rfc1918 basically is equivalent to 
admitting that NAT is here to stay.  And if one accepts that,
the need for IPv6 is nil.  Ergo, we must see if we can make
IPv6 work without this.

Next protocol please...  ;-)

Tony

p.s. Yes, this is an educational exercise for some people, but
it seems like we have been working at this for a decade now
and folks are not inclined to learn except by making the
mistakes.  So let's make 'em and get on with it.
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: "Tony Li" <[email-masked]>
Date: Sat, 22 Mar 2003 01:16:50 -0800

|    > In any case, IMHO, routing just got a bit easier today.  ;-)
|    
|    how often does that happen?

1) EGP deprecated
2) RIP deprecated
3) CIDR approved as BCP

Four times in 12 years, so on average once every three.  

;-)

Tony

---

From: "Tony Li" <[email-masked]>
Date: Sun, 23 Mar 2003 14:00:22 -0800

|    This belies the notion of an engineering trade-off.  There 
|    is no reason 
|    to create an architectural mess by saving an address here 
|    or there.  We 
|    have 2^128 of them to use.  Registries should see that 
|    this is the case.

Folks should also remember that renumber in IPv6 is easy.  So
picking something and then changing when you get connected should
not be a big deal.

Tony

---

From: "Tony Li" <[email-masked]>
Date: Sun, 23 Mar 2003 14:00:22 -0800

Tony

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 09:52:00 -0800

With all due respect, this is backwards.  No matter how well
we design, what we produce will be used for something that
it's not intended for.  How many times have you used
a screwdriver as a pry bar?  This is the human condition:
we adapt, abusing the tools around us to fit the job.

Yes, obviously the architecture SHOULD be able to support NAT,
and it clearly does.  However, we do NOT have to actively
support NAT, especially when support of NAT eliminates the
only true need for v6.

Tony

|    -----Original Message-----
|    From: Fredrik Nyman [mailto:[email-masked]] 
|    Sent: Monday, March 24, 2003 1:41 AM
|    To: Eliot Lear
|    Cc: Daniel Senie; [email-masked]
|    Subject: Re: IPv6 site-locals... end of story...
|    
|    
|    On 23 Mar 2003 at 14:08, Eliot Lear wrote:
|    
|    > David,
|    > 
|    > You're right- the law's of physics haven't changed.  But 
|    we also don't 
|    > live in the '80s.  Anyone doing work to convert to IPv6 
|    should not make 
|    > the same mistakes of the 80s by splattering IP addresses 
|    everywhere. 
|    > Let's not make our decisions based on bad design and 
|    operational choices.
|    
|    If people *use* the protocols in a way not intended by its 
|    designers, the 
|    designers were wrong.... You can have the best idea in the 
|    world, but 
|    unless people adapt to it, it is worthless. 
|    
|    If it turns out that the operational people will use NAT 
|    for IPv6, then 
|    there is a reason for it and then it was wrong by us not 
|    to take that into 
|    consideration when designing the specs.
|    
|    -- 
|    Fredrik Nyman
|    PacketFront Sweden AB
|    http://www.packetfront.com/
|    
|    _______________________________________________
|    routing-discussion mailing list
|    [email-masked]
|    https://www1.ietf.org/mailman/listinfo/routing-discussion
|    
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 09:52:00 -0800

Tony

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Mon, 24 Mar 2003 13:12:31 -0500

> support NAT, especially when support of NAT eliminates the

Tony,

You said a mouthful in that last sentence. Too bad IPv6 couldn't have been simply an application of (perhaps) NSAP Addresses to IPv4.

I'm still not clear why a well-defined private address space is considered useless with IPv6. If I use the global address space in a private network, or worse in many private networks that I configured identically, and somehow one or more of these gets inadvertently connected to the Internet, wouldn't it be easier to have a well-defined address space that all routers would by default NOT route?

The argument that 128-bit addresses are enough for everyone does not preclude the point that these addresses must still be unique. Perhaps I'm missing the whole story, since I wasn't at the meeting.

Bert

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Mon, 24 Mar 2003 17:08:27 -0500

About RFC 1627 ...

The reasons for using a private address space, as in RFC 1597/1918, is not JUST to economize on address space. Similarly, the use of NATs is not JUST to extend the life of a 32-bit address space.

Here's the telling quote from RFC 1627:

-----------
   The IP version 4 (IPv4) address space will be exhausted.  The
   question is simply:  when?

   If we assert that all IP addresses must be unique globally, connected
   or not, then we will run out of IP address space soon.

   If we assert that only IP addresses used on the world-wide Internet
   need to be globally unique, then we will run out of IP address space
   later.

   It is absolutely key to keep the Internet community's attention
   focused on the efforts toward IP next generation (IPng), so that we
   may transcend the limitations of IPv4.  RFC 1597 produces apparent
   relief from IPv4 address space exhaustion by masking those networks
   that are not connecting to the Internet, today.
-----------

RFC 1918 and NATs can also be used to configure small networks the same, then avoid renumbering these networks when/if they are connected to the Internet. A 1:1 relationship between IP addresses on either side of the NAT can be implemented. (That is, you're not using the Port ID field as a kludgey extension of the IP address field.)

The arguments of RFC 1627 really emphasize the economizing of address space as motivation for using the private address space. Not always germaine, IMO. But anyway, as long as the FECO:: continues to exist, all should work out.

Bert

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Mon, 24 Mar 2003 17:08:27 -0500

About RFC 1627 ...

-----------

Bert

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 14:27:41 -0800

The argument for why they're not necessary is quite simple:

1) If the site is not connected, then use any number space to begin
with.  When the site connects, renumber.  Note that if you had a 
defined address space, you would STILL be renumbering, so the special
address didn't do anything for you.

2) If the site is connected, then the real benefit out of site
local addressing is to support NAT.  NAT is not necessary so you
don't need an address space to support it.

Tony

|    -----Original Message-----
|    From: Manfredi, Albert E [mailto:[email-masked]] 
|    Sent: Monday, March 24, 2003 10:13 AM
|    To: Tony Li
|    Cc: [email-masked]
|    Subject: RE: IPv6 site-locals... end of story...
|    
|    
|    Tony Li wrote:
|    
|    > Yes, obviously the architecture SHOULD be able to support NAT,
|    > and it clearly does.  However, we do NOT have to actively
|    > support NAT, especially when support of NAT eliminates the
|    > only true need for v6.
|    
|    Tony,
|    
|    You said a mouthful in that last sentence. Too bad IPv6 
|    couldn't have been simply an application of (perhaps) NSAP 
|    Addresses to IPv4.
|    
|    I'm still not clear why a well-defined private address 
|    space is considered useless with IPv6. If I use the global 
|    address space in a private network, or worse in many 
|    private networks that I configured identically, and 
|    somehow one or more of these gets inadvertently connected 
|    to the Internet, wouldn't it be easier to have a 
|    well-defined address space that all routers would by 
|    default NOT route?
|    
|    The argument that 128-bit addresses are enough for 
|    everyone does not preclude the point that these addresses 
|    must still be unique. Perhaps I'm missing the whole story, 
|    since I wasn't at the meeting.
|    
|    Bert
|    
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 14:27:41 -0800

Tony

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 14:38:19 -0800

If we need to economize on v6 address space, then it isn't big enough.

Tony

|    -----Original Message-----
|    From: Manfredi, Albert E [mailto:[email-masked]] 
|    Sent: Monday, March 24, 2003 2:08 PM
|    To: [email-masked]
|    Subject: RE: IPv6 site-locals... end of story...
|    
|    
|    About RFC 1627 ...
|    
|    The reasons for using a private address space, as in RFC 
|    1597/1918, is not JUST to economize on address space. 
|    Similarly, the use of NATs is not JUST to extend the life 
|    of a 32-bit address space.
|    
|    Here's the telling quote from RFC 1627:
|    
|    -----------
|       The IP version 4 (IPv4) address space will be exhausted.  The
|       question is simply:  when?
|    
|       If we assert that all IP addresses must be unique 
|    globally, connected
|       or not, then we will run out of IP address space soon.
|    
|       If we assert that only IP addresses used on the 
|    world-wide Internet
|       need to be globally unique, then we will run out of IP 
|    address space
|       later.
|    
|       It is absolutely key to keep the Internet community's attention
|       focused on the efforts toward IP next generation 
|    (IPng), so that we
|       may transcend the limitations of IPv4.  RFC 1597 
|    produces apparent
|       relief from IPv4 address space exhaustion by masking 
|    those networks
|       that are not connecting to the Internet, today.
|    -----------
|    
|    RFC 1918 and NATs can also be used to configure small 
|    networks the same, then avoid renumbering these networks 
|    when/if they are connected to the Internet. A 1:1 
|    relationship between IP addresses on either side of the 
|    NAT can be implemented. (That is, you're not using the 
|    Port ID field as a kludgey extension of the IP address field.)
|    
|    The arguments of RFC 1627 really emphasize the economizing 
|    of address space as motivation for using the private 
|    address space. Not always germaine, IMO. But anyway, as 
|    long as the FECO:: continues to exist, all should work out.
|    
|    Bert
|    _______________________________________________
|    routing-discussion mailing list
|    [email-masked]
|    https://www1.ietf.org/mailman/listinfo/routing-discussion
|    
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Mon, 24 Mar 2003 17:43:18 -0500

Tony Li wrote:

> with.  When the site connects, renumber.

Sure enough. However, it is far safer to provide an *obviously* private address to something that must be renumbered, instead of configuring this device (or network) with addresses that appear globally unique already. (Has this thing already been renumbered?)

> don't need an address space to support it.

Sure it is.

Take the case of IP being used in specific control systems. In factory control systems, for example, or in individual platforms. Often, these would be peer-peer networks, where DHCP might not be the answer.

The systems are preconfigured, at the factory, pre-tested, and all look alike. They are pumped out by the hundreds.

When they are installed, wherever that might be, they can then be connected to the Internet or local intranet. The most trouble-free way of doing this could very well be to install edge routers that provide the NAT function. This is *not* to economize on address space. It is to facilitate the manufacture and installation, and maintenance (customer support), of entire IP-based systems.

Bert

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 14:56:26 -0800

|    Sure enough. However, it is far safer to provide an 
|    *obviously* private address to something that must be 
|    renumbered, instead of configuring this device (or 
|    network) with addresses that appear globally unique 
|    already. (Has this thing already been renumbered?)

Unless someone is accepting routing advertisements from them and 
not filtering, this is not dangerous.  The packet should be simply
dropped at the provider edge.

|    > 2) If the site is connected, then the real benefit out of site
|    > local addressing is to support NAT.  NAT is not necessary so you
|    > don't need an address space to support it.
|    
|    Sure it is.
|    
|    Take the case of IP being used in specific control 
|    systems. In factory control systems, for example, or in 
|    individual platforms. Often, these would be peer-peer 
|    networks, where DHCP might not be the answer.
|    
|    The systems are preconfigured, at the factory, pre-tested, 
|    and all look alike. They are pumped out by the hundreds.
|    
|    When they are installed, wherever that might be, they can 
|    then be connected to the Internet or local intranet. The 
|    most trouble-free way of doing this could very well be to 
|    install edge routers that provide the NAT function. This 
|    is *not* to economize on address space. It is to 
|    facilitate the manufacture and installation, and 
|    maintenance (customer support), of entire IP-based systems.

IPv6 autoconfiguration.

Tony

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 14:56:26 -0800

IPv6 autoconfiguration.

Tony

---

From: Daniel Senie <[email-masked]>
Date: Mon, 24 Mar 2003 18:48:55 -0500

>don't need an address space to support it.

Tony, I disagree that these two are it.

Example: I run a colo with two interfaces per server. Public interface of 
each server has a public address. Second interface has an RFC1918 address. 
The second interface is used for backups, inter-server database 
connectivity, NFS, etc. Tell me why I should waste public space on that? 
Explain how I justify that space when asking for a subnet from an upstream, 
when that space isn't going to EVER be connected to the public network.

There's no NAT here. There's no public connection. HOWEVER, it is 
CRITICALLY important that the address space used for the private network 
not conflict with any public address space.

Maybe I just do really odd things with my server configurations, but I 
somehow doubt I'm the only one who does such things. Tying private address 
space to NAT does not tell the whole story.

Dan

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 16:15:47 -0800

Sounds like a fine justification for a /48 or /64 to me.

The waste should not be an issue as long as the address space
that you are allocated is something that you use efficiently.

Tony

|    -----Original Message-----
|    From: Daniel Senie [mailto:[email-masked]] 
|    Sent: Monday, March 24, 2003 3:49 PM
|    To: [email-masked]
|    Subject: RE: IPv6 site-locals... end of story...
|    
|    
|    At 05:27 PM 3/24/2003, Tony Li wrote:
|    
|    
|    
|    >The argument for why they're not necessary is quite simple:
|    >
|    >1) If the site is not connected, then use any number 
|    space to begin
|    >with.  When the site connects, renumber.  Note that if you had a
|    >defined address space, you would STILL be renumbering, so 
|    the special
|    >address didn't do anything for you.
|    >
|    >2) If the site is connected, then the real benefit out of site
|    >local addressing is to support NAT.  NAT is not necessary so you
|    >don't need an address space to support it.
|    
|    Tony, I disagree that these two are it.
|    
|    Example: I run a colo with two interfaces per server. 
|    Public interface of 
|    each server has a public address. Second interface has an 
|    RFC1918 address. 
|    The second interface is used for backups, inter-server database 
|    connectivity, NFS, etc. Tell me why I should waste public 
|    space on that? 
|    Explain how I justify that space when asking for a subnet 
|    from an upstream, 
|    when that space isn't going to EVER be connected to the 
|    public network.
|    
|    There's no NAT here. There's no public connection. HOWEVER, it is 
|    CRITICALLY important that the address space used for the 
|    private network 
|    not conflict with any public address space.
|    
|    Maybe I just do really odd things with my server 
|    configurations, but I 
|    somehow doubt I'm the only one who does such things. Tying 
|    private address 
|    space to NAT does not tell the whole story.
|    
|    Dan 
|    
|    _______________________________________________
|    routing-discussion mailing list
|    [email-masked]
|    https://www1.ietf.org/mailman/listinfo/routing-discussion
|    
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion

---

From: "Tony Li" <[email-masked]>
Date: Mon, 24 Mar 2003 16:15:47 -0800

Tony

---

From: Daniel Senie <[email-masked]>
Date: Mon, 24 Mar 2003 21:39:25 -0500

>that you are allocated is something that you use efficiently.

I'm glad you'll be making the rules for upstreams' determining "efficient 
use." What I see today is upstreams insisting on being able to ping 
addresses to prove they're in use. I'll tell 'em Tony said it was OK to use 
the addresses in disconnected networks.

Yes, I'm being facetious, but it's the argument today when being asked to 
justify IPv4 addresses. I do indeed hope I'm wrong, and expect I'm not.

---

From: Daniel Senie <[email-masked]>
Date: Mon, 24 Mar 2003 21:39:25 -0500

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Tue, 25 Mar 2003 10:56:54 -0500

> From: Curtis Villamizar [mailto:[email-masked]]

> NATs very much get in the way of peer-to-peer in case you weren't
> aware of that.  Try running any kind of server behind a NAT and
> accessing it from outside the NAT.  If two factory widgets are behind
> the same NAT they need unique addresses and you're back to DHCP or
> configured addresses.

If the entire peer-peer network is behind the NAT, the NAT won't bother it in the slightest. That was the scenario I was describing. Multiple such systems, installed in many different sites, all of them internally identical.

If there is a server outside the NAT, once again, the peer-peer network can remain identical in all instances and the NAT will take care of making the server appear identical to all hosts inside the NAT.

Comms outside the NAT may be expected to be infrequent, e.g. primarily for occasional remote system monitoring or remote troubleshooting. And these sessions may always be initiated outside the NAT, leaving the peer-peer network unchangerd in every case. 

My problem with all the arguments against a private address space in IPv6, and all the arguments in RFC 1627 too for that matter, is that these arguments assume the only motivation is to economize on address space. And yet, plenty of people have indicated otherwise.

Yes, it is always possible to create private networks with real but illegal global addresses. That's a nuisance and prone to creating problems. And I don't think that IPv6, by design, should make it mandatory for every private network to obtain globally unique addresses from the IANA. That's sort of obnoxious.

Bert

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Tue, 25 Mar 2003 12:08:02 -0500

Eliot Lear wrote:

> Manfredi, Albert E wrote:
> 
> > And I don't think that IPv6, by design, should make it mandatory
> > for every private network to obtain globally unique addresses from
> > the IANA. That's sort of obnoxious.
> 
> I would point out that (a) nobody suggested that addresses be gotten 
> from IANA, and (b) globally unique addressses WERE the norm 
> prior to the 
> addressing shortage that precipitated RFC 1597.

But, Eliot, things have evolved in the past decade. Internet Protocols are now being used for more than just e-mail and web browsing. So tools provided in IPv4 have been adapted quite nicely to solve problems for which they may not have been intended originally. We shouldn't have to ignore these perfectly legitimate solutions. I think enough people have expressed this general sentiment that perhaps it shouldn't be swept aside.

> Also, the methods of peer-to-peer you mentioned involve a server. 
> That's not peer to peer.  Think telephones with IP addresses when you 
> think about peer to peer.

Yes, I'm well aware of what constitutes a peer-peer network. The mention of a server was an aside. I meant only to express that one _can_ easily implement a server with a NAT in the circuit.

Bert

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Tue, 25 Mar 2003 16:45:26 -0500

Eliot Lear wrote:

> To start with, small networks should be well served by 
> mechanisms such 
> as prefix delegation.  That delegation occurs in two ways: either 
> automatic such as the way Droms, et. al have gone, and manual through 
> the provisioning process (ie., use these addresses as opposed to 
> others).  This is done today in the real world.

Indeed this is done, is many times easy enough to do, and is certainly easily transferrable to IPv6!

> Tim Price wrote:
> 
> >  I submit that as a
> > standards body you must address your entire intended 
> audience, which means
> > that the least-common-denominator approach should be considered.
> 
> No, this is not how one engineers.  One engineers for the 
> largest set of 
> general use cases, not the least common denominator.

Oh come now. "One engineers" to create as fool-proof and flexible a design as one can achieve. And even then, expect the worst.

> This is not a case of backward compatibility.  You are changing 
> protocols.  Private network address space was offered due to address 
> space shortage.  That engineering requirement has evaporated. 
>  So should 
> private address space.

No matter how many times this gets repeated, it's not the whole truth. I certainly agree that there are alternative techniques that may be applied when private addressing was used in the past, although I am not yet convinced these other technqiues (e.g. IPv6 autoconfiguration) are *nearly* as easily applicable. Yes, there are always alternative work-arounds when people take away a useful tool. Any engineer understands work-arounds implicitly.

I don't see that it helps to name a single application of private addressing from the past, out of many applications, and claim that having dispensed with that single application there's no need to continue.

Bert

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Tue, 25 Mar 2003 16:45:26 -0500

Bert

---

From: "Stephen Sprunk" <[email-masked]>
Date: Tue, 25 Mar 2003 15:53:53 -0600

Thus spake David Conrad <[email-masked]>
> >The ONLY reason to use NAT was the lack of enough addresses.
>
> No. Another reason is that companies do not want to be held hostage
> due to the cost of renumbering which many would feel would be the
> case should they want to change providers.

This is a point many people seem to be missing.  Renumbering a few subnets
filled with clients is trivial with IPv6 -- just like it is with IPv4 DHCP.
However, renumbering servers and the resultant DNS issues is not trivial,
requiring months of planning if you can get management approval at all.
Worse, renumbering is manpower-intensive when you consider there are
networks out there with 10,000+ sites/subnets, and some being built with the
goal of 50,000+ sites/subnets.  Without 10/8, these networks wouldn't be
administratively possible.

Renumbering is not easy.  Repeating it over and over doesn't make it so.

S

Stephen Sprunk         "God does not play dice."  --Albert Einstein
CCIE #3723         "God is an inveterate gambler, and He throws the
K5SSS        dice at every possible opportunity." --Stephen Hawking

---

From: Jeff Parker <[email-masked]>
Date: Wed, 26 Mar 2003 10:55:53 -0500

> When there are hundreds of sites out there 
> running unpatched old versions of BIND or IIS 
> ...why waste your time breaking through a NAT box?
 
Because the target is atractive?  

- jeff parker

---

From: "Tony Li" <[email-masked]>
Date: Wed, 26 Mar 2003 10:16:49 -0800

Folks,

One of the points that is being entirely missed in this 
discussion is the distinction between NATs and firewalls.
Yes, many NAT boxes also perform firewalling and we're not
at all out to architecturally deprecate firewalls (at least
here and now).  The question is soley about NAT functionality.

As other posters have said, either IPv6 renumbering works well and
you don't need NAT because you can run your entire network on
PA addresses comfortably, or IPv6 renumbering (and therefore
all of IPv6) isn't ready for prime time.

While an Internet architecture should certainly not preclude
the many things that folks will want to do, it should also not
endorse the functions that we find to be counter-productive to
the overall life of the Internet.  In that spirit, if we have
done our jobs correctly with IPv6, NAT should not be required.
It serves no purpose that a correctly architected and implemented
IPv6 doesn't do.  Endorsing NAT is an admission that IPv6 has
failed.

Tony

|    > When there are hundreds of sites out there 
|    > running unpatched old versions of BIND or IIS 
|    > ...why waste your time breaking through a NAT box?
|     
|    Because the target is atractive?  
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion